Skip to main content
PUT
/
endpoint
/
{endpoint_id}
Update webhook endpoint
curl --request PUT \
  --url https://api.jogg.ai/v1/endpoint/{endpoint_id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "url": "https://example.com/webhook",
  "events": [
    "generated_video_success"
  ]
}
'
import requests

url = "https://api.jogg.ai/v1/endpoint/{endpoint_id}"

payload = {
"url": "https://example.com/webhook",
"events": ["generated_video_success"]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: 'https://example.com/webhook', events: ['generated_video_success']})
};

fetch('https://api.jogg.ai/v1/endpoint/{endpoint_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "endpoint_id": "<string>",
  "url": "<string>",
  "secret": "<string>",
  "status": "<string>",
  "events": [
    "<string>"
  ],
  "username": "jogg@gmail.com",
  "created_at": 1703894400
}

Authorizations

x-api-key
string
header
required

Path Parameters

endpoint_id
string
required

Webhook endpoint ID

Body

application/json
url
string

New webhook URL (must be HTTPS)

Example:

"https://example.com/webhook"

events
enum<string>[]

New list of events to subscribe to

Available options:
generated_video_success,
generated_video_failed
Example:
["generated_video_success"]
status
enum<string>

New webhook status

Available options:
enabled,
disabled

Response

200 - application/json

Successful operation

endpoint_id
string

Unique identifier for the webhook

url
string

Webhook URL

secret
string

Secret for signature verification

status
string

Current webhook status

events
string[]

List of subscribed events

username
string

Username

Example:

"jogg@gmail.com"

created_at
integer

Creation timestamp

Example:

1703894400